import { useModel } from "@/store";
import React from "react";

export default (props) => {
  const { code, fallback = null, children } = props;
  const { buttons } = useModel("user");

  const isOk = React.useMemo(() => {
    if (!code) return true;
    if (!buttons || buttons.length < 1) return false;

    return buttons.findIndex((x) => x == code) > -1;
  }, [code, buttons]);
  return isOk ? children : fallback;
};
