import React from 'react';
import { Select } from 'antd';
import { getDept } from '@/services/sysDept';

export default (props) => {
  const { onList, ...leftProps } = props;

  const [list, setList] = React.useState([]);
  const [options, setOptions] = React.useState([]);

  React.useEffect(() => {
    getDept({ pageSize: 999 }).then(res => {
      const records = res.records || [];
      setList(records);
      if (onList) {
        onList(records);
      }

      setOptions(records.map(x => ({ value: x.deptId, label: x.deptName })))
    })
  }, [])

  return (
    <Select
      showSearch
      optionFilterProp="children"
      filterOption={(input, option) => (option?.label ?? '').includes(input)}
      filterSort={(optionA, optionB) =>
        (optionA?.label ?? '').toLowerCase().localeCompare((optionB?.label ?? '').toLowerCase())
      }
      {...leftProps}
      options={options}
    />
  )
}
