import React from "react";
import { Typography } from "antd";
import useRoute from "@/routes/hooks/useRoute";
import { ArrowLeftOutlined, LeftCircleFilled } from "@ant-design/icons";
import { useNavigate } from "react-router-dom";

const pageStyle = {
  // margin: "0 24px 24px 24px",
  margin: "24px",
  minHeight: "calc(100% - 24px)",
};
const { Title } = Typography;
const titleStyle = {
  display: "flex",
  alignItems: "flex-end",
  padding: "12px 0",
};
const IconStyle = {
  fontSize: "20px",
  color: "#333",
  padding: "0 0.5em",
  display: "inlineBlack",
  cursor: "pointer",
};
export default (props) => {
  const { meta = {} } = useRoute() || {};
  const style = meta.noLayout ? { height: "100%" } : pageStyle;
  const title = props.title || meta.title;
  const navigator = useNavigate();
  return (
    <div style={style}>
      {title && !meta.noLayout && (
        // <div style={titleStyle}>
        //   <div>
        //     <LeftCircleFilled onClick={()=>navigator(-1)} style={IconStyle} />
        //   </div>
        /* </div> */
        <Title level={3} style={{ fontWeight: 400, flex: "none", margin: "0" }}>
          {title}
        </Title>
      )}
      {props.children}
    </div>
  );
};
