import List from '@/components/Page/List'
import React, { useRef } from 'react'
import { getTfItemFinance, deleteTfItemFinance } from '@/services/tfFinanceItem'
import { queryDict } from '@/utils/request'
import { Button, ConfigProvider } from 'antd'
import { ProFormDateTimeRangePicker } from '@ant-design/pro-components'
import { useNavigate } from 'react-router-dom'

export default (props) => {
  const navigate = useNavigate()

  const columns = [
    {
      title: '明细类型',
      dataIndex: 'itemType',
      search: false,
      ellipsis: true,
    },
    {
      title: '收支类型',
      dataIndex: 'ycType',
      // valueEnum: {
      //   1: '收入',
      //   -1: '支出',
      // },
      search: false,
      ellipsis: true,
    },
    {
      title: '收支项目名称',
      dataIndex: 'ycItemName',
      ellipsis: true,
    },
    {
      title: '金额',
      dataIndex: 'money',
      search: false,
      ellipsis: true,
    },
    {
      title: '来源机构',
      dataIndex: 'fromOrg',
      ellipsis: true,
    },
    {
      title: '目的机构',
      dataIndex: 'toOrg',
      ellipsis: true,
    },
    {
      title: '附件',
      dataIndex: 'attach',
      search: false,
      ellipsis: true,
    },
    {
      title: '发生日期',
      dataIndex: 'bizDate',
      search: false,
      ellipsis: true,
    },
  ]

  const actionRef = useRef()
  const onAdd = () => {
    navigate('/financeItem/edit')
  }
  return (
    <List
      actionRef={actionRef}
      rowKey="financeItemId"
      onEdit={(record) =>
        navigate(`/financeItem/edit?id=${record?.financeItemId}`)
      }
      onDelete={(record) =>
        deleteTfItemFinance(record?.financeItemId).then(() =>
          actionRef.current.reload()
        )
      }
      toolBarRender={() => [
        <Button key="1" type="primary" onClick={onAdd}>
          新增
        </Button>,
      ]}
      request={getTfItemFinance}
      columns={columns}
    />
  )
}
