import { getTaMemberId } from "@/services/taMember";
import { Card } from "antd";
import React, { useEffect, useState } from "react";
import { useSearchParams } from "react-router-dom";
import Page from "@/components/Page";
import MemberInfo from "./components/MemberInfo";
import MemberCardInfo from "./components/MemberCardInfo";
import "./index.less";
export default (props) => {
  const [params] = useSearchParams();
  const [activeTabKey, setActiveTabKey] = useState("tab1");
  const [memberList, setMemberList] = useState();
  const id = params.get("id");

  useEffect(() => {
  if(id){
    getTaMemberId(id).then((res) => {
        setMemberList(res || {});
      });
  }
  }, []);

  const tabList = [
    {
      key: "tab1",
      tab: "会员信息",
    },
    {
      key: "tab2",
      tab: "会员卡信息",
    },
  ];
  const contentList = {
    // 会员基本信息
    tab1: <MemberInfo memberList={memberList} />,
    // 会员卡信息
    tab2: <MemberCardInfo taMemberCardList={memberList?.taMemberCardList} />,
  };
  return (
    <Page>
      <Card
        className="scorll"
        style={{ width: "100%", overflowY: "scroll", maxHeight: "700px" }}
        // title="会员卡"
        //   extra={<a href="#">More</a>}
        tabList={tabList}
        activeTabKey={activeTabKey}
        onTabChange={(key) => setActiveTabKey(key)}
      >
        {contentList[activeTabKey]}
      </Card>
    </Page>
  );
};
