import {
  postTaMemberCardIdActive,
  putTaMemberCardIdWrite,
} from "@/services/taMemberCard";
import {
  ProForm,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { Form, Modal, Popconfirm } from "antd";
import { useForm } from "antd/lib/form/Form";
import React from "react";
import SelectPackageModal from "./SelectPackageModal";
import SelectCardModal from "./SelectCardModal";
export default (props) => {
  const { isModalOpen, setIsModalOpen, modalTitle, modalObj } = props;
  const formRef = React.useRef();

  const handleOk = () => {
    setIsModalOpen(false);
  };

  const handleCancel = () => {
    setIsModalOpen(false);
  };

  React.useEffect(() => {
    formRef?.current?.resetFields();

    console.log(modalObj);
    if (Object.keys(modalObj).length > 0 && modalTitle == "核销卡") {
      formRef?.current?.setFieldsValue(modalObj);
    }
  }, [modalObj]);

  const onFinish = () => {
    formRef?.current?.validateFieldsReturnFormatValue?.().then((x) => {
      if (modalTitle == "核销卡") {
        // 核销卡
        putTaMemberCardIdWrite(x.cardId)
          .then((result) => {})
          .catch((err) => {});
      } else {
        // 开卡
        postTaMemberCardIdActive(x).then((res) => {});
      }
    });
  };
  const Pro = () => {
    return (
      <>
        <ProFormText
          required
          name="phone"
          label="手机号"
          rules={[{ required: true, message: "请输入手机号" }]}
        />
        <ProFormSelect
          name="sex"
          label="性别"
          options={[
            {
              value: 1,
              label: "男",
            },
            {
              value: 2,
              label: "女",
            },
            {
              value: 9,
              label: "未知",
            },
          ]}
        />
      </>
    );
  };
  return (
    <Modal
      title={modalTitle}
      open={isModalOpen}
      onOk={handleOk}
      onCancel={handleCancel}
      footer={null}
    >
      <ProForm formRef={formRef} onFinish={onFinish}>
        <Form.Item noStyle shouldUpdate>
          {(form) => {
            return (
              <>
                {form.getFieldValue("memberId") ? (
                  <>
                    <Pro />
                    <SelectCardModal cardList={modalObj?.taMemberCardList} />
                  </>
                ) : (
                  <>
                    <ProFormText
                      required
                      name="memberName"
                      label="会员姓名"
                      rules={[{ required: true, message: "请输入名称" }]}
                    />
                    <Pro />
                    <SelectPackageModal />
                  </>
                )}
              </>
            );
          }}
        </Form.Item>
      </ProForm>
    </Modal>
  );
};
