import { ProFormSelect } from "@ant-design/pro-components";
import React from "react";
import { getTaPackage } from "@/services/taPackage";
import { queryDict } from "@/utils/request";
import { Select } from "antd";

export default (props) => {
  const { cardList } = props;
  const [cardOptions, setCardOptions] = React.useState([]);
  const { Option } = Select;
  React.useEffect(() => {
    getTaPackage({ pageSize: 999 }).then((res) => {
      let packList = [];
      (res.records || []).map((x) => {
        packList[x.packageId] = x.packageName;
      });
      const data = cardList?.map((x) => {
        return {
          ...x,
          value: x.cardId,
          label: packList[x.packageId],
        };
      });
      setCardOptions(data);
    });
  }, []);

  return (
    <ProFormSelect
      required
      name="cardId"
      label="选择套餐"
      rules={[{ required: true, message: "请选择套餐" }]}
      options={cardOptions}
    />
  );
};
