import { ProFormSelect } from "@ant-design/pro-components";
import React from "react";
import { getTaPackage } from "@/services/taPackage";
import { queryDict } from "@/utils/request";

export default (props) => {

  const packageList = queryDict(getTaPackage, {
    labelKey: "packageName",
    valueKey: "packageId",
  });

  return (
    <ProFormSelect
      required
      name="packageId"
      label="选择套餐"
      request={packageList}
      rules={[{ required: true, message: "请选择套餐" }]}
    />
  );
};
