import React from "react";
import { getTaMember } from "@/services/taMember";
import List from "@/components/Page/List";
import moment from "moment";
import { useNavigate } from "react-router-dom";
import { Button, Modal, Popconfirm } from "antd";
import ModalNewCard from "./components/ModalNewCard";
import { putTaMemberCardIdWrite } from "@/services/taMemberCard";
export default (props) => {
  const navigate = useNavigate();
  const [isModalOpen, setIsModalOpen] = React.useState(false);
  const [modalTitle, setModalTitle] = React.useState("");
  const [modalObj, setModalObj] = React.useState({});

  const columns = [
    {
      title: "注册日期",
      dataIndex: "bizDate1",
      valueType: "dateRange",
      search: {
        transform: (value) => {
          return {
            startTime: value[0],
            endTime: value[1],
          };
        },
      },
      hideInTable: true,
    },
    {
      title: "会员名称",
      dataIndex: "memberName",
    },
    {
      title: "生日",
      dataIndex: "birthDay",
      render: (_, r) =>
        r.birthDay ? moment(r.birthDay).format("YYYY-MM-DD") : "",
      search: false,
    },
    {
      title: "手机号",
      dataIndex: "phone",
    },

    {
      title: "性别",
      dataIndex: "sex",
      search: false,
      render: (_, r) => (r.sex == 1 ? "男" : r.sex == 2 ? "女" : "未知"),
    },

    {
      title: "注册日期",
      dataIndex: "bizDate",
      render: (_, r) => {
        return moment(r.bizDate).format("YYYY-MM-DD");
      },
      search: false,
    },
    {
      title: "状态",
      dataIndex: "status",
      render: (_, record) => (record.status == 1 ? "正常" : "异常"),
      valueEnum: {
        0: "异常",
        1: "正常",
      },
    },
  ];
  const onModalNewCard = (title, record) => {
    setModalTitle(title);
    setModalObj(record);
    setIsModalOpen(true);
  };
  const onWrite = (id) => {
    // putTaMemberCardIdWrite().then((res) => {});
  };

  return (
    <>
      <List
        // actionRef={actionRef}
        rowKey="memberId"
        onEdit={(record) => navigate(`/member/edit?id=${record.memberId}`)}
        columnOptionRender={(_, record) => [
          <Button
            key="A2"
            style={{ padding: 0 }}
            type="link"
            disabled={!record.taMemberCardList?.length}
            onClick={() => onModalNewCard("核销卡", record)}
          >
            核销卡
          </Button>,
        ]}
        request={getTaMember}
        columns={columns}
        toolBarRender={(record) => {
          return [
            <Button
              key="1"
              type="primary"
              onClick={() => {
                onModalNewCard("会员开卡", {});
              }}
            >
              开卡
            </Button>,
          ];
        }}
      />
      <ModalNewCard
        isModalOpen={isModalOpen}
        setIsModalOpen={setIsModalOpen}
        modalTitle={modalTitle}
        modalObj={modalObj}
      />
    </>
  );
};
