import React, { useEffect, useRef, useState } from "react";
import { useSearchParams } from "react-router-dom";

import { getTaPackageId } from "@/services/taPackage";

import Page from "@/components/Page";
import { Button, Card } from "antd";
import Package from "./components/Package";
import PackageItem from "./components/PackageItem";
export default (props) => {
  const [params] = useSearchParams();
  const id = params.get("id");
  const [activeTabKey, setActiveTabKey] = useState("tab1");
  const [packageList, setPackageList] = useState();

  useEffect(() => {
    if (id) {
      getTaPackageId(id).then((res) => {
        setPackageList(res||{});
      });
    }
  }, [id]);

  const tabList = [
    {
      key: "tab1",
      tab: "套餐项目",
    },
    {
      key: "tab2",
      tab: "套餐内容",
    },
  ];
  const contentList = {
    // 套餐项目
    tab1: <Package key="1" id={id} packageList={packageList} />,
    // 套餐内容
    tab2: <PackageItem key="2" id={id}   />,
  };

  return (
    <Page>
      <Card
        style={{ width: "100%" }}
        tabList={tabList}
        activeTabKey={activeTabKey}
        onTabChange={(key) => setActiveTabKey(key)}
      >
        {contentList[activeTabKey]}
      </Card>
    </Page>
  );
};
