import React, { useEffect, useRef } from "react";
import { postTaPackage, putTaPackage } from "@/services/taPackage";
import {
  ProForm,
  ProFormMoney,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { Button } from "antd";
import { useNavigate } from "react-router-dom";
import { UploadImage } from "@/components/Upload";
export default (props) => {
  const { id, packageList } = props;
  const formRef = useRef();

  const navigate = useNavigate();

  useEffect(() => {
    if (packageList) {
      formRef.current?.setFieldsValue(packageList);
    }
  }, [packageList]);
  const onFinish = (values) => {
    console.log(values);
    if (!id) {
      postTaPackage(values).then(() => {
        navigate(-1);
      });
    } else {
      putTaPackage(id, values).then(() => {
        navigate(-1);
      });
    }
  };

  const onChange = (file) => {
    console.log(file);
  };
  return (
    <ProForm
      formRef={formRef}
      onFinish={onFinish}
      layout="horizontal"
      submitter={{
        render: (_, doms) => [
          doms.find((dom) => dom.props?.children === "提交"),
          <Button onClick={() => navigate(-1)}>返回</Button>,
        ],
      }}
    >
      <ProFormText name="packageName" label="套餐名称" />
      <ProFormText name="packageType" label="套餐类型" />
      <ProForm.Item name="thumb" label="图片">
        <UploadImage onChange={onChange} />
      </ProForm.Item>
      <ProFormMoney name="charge" label="价格" />
      <ProFormText name="limitType" label="是否限制型消费" />
      <ProFormText name="limitNum" label="限制数目" />
      <ProFormSelect
        name="limitUnit"
        label="限制单位"
        options={[
          { key: "year", label: "year" },
          { key: "month", label: "month" },
          { key: "day", label: "day" },
          { key: "order", label: "order" },
        ]}
      />
      <ProFormText name="desc" label="说明" />
      <ProFormSelect
        name="status"
        label="状态"
        options={[
          {
            label: "下架",
            value: 0,
          },
          {
            label: "上架",
            value: 1,
          },
        ]}
      />
    </ProForm>
  );
};
