import React, {
  forwardRef,
  useImperativeHandle,
  useRef,
  useState,
} from "react";
import {
  getTaPackageItem,
  getTaPackageId,
  deleteTaPackageItem,
} from "@/services/taPackageItem";
import List from "@/components/Page/List";
import moment from "moment";
import { useNavigate } from "react-router-dom";
import ModalPackageItem from "./ModalPackageItem";
import { Button } from "antd";
import PureList from "@/components/Page/PureList";
export default (props) => {
  const { id } = props;
  const [open, setOpen] = useState(false);
  const [curd, setCurd] = useState();

  const actionRef = useRef();
  const columns = [
    {
      title: "项目名称",
      dataIndex: "itemName",
    },
    {
      title: "金额",
      dataIndex: "charge",
      search: false,
    },
  ];

  const handleDelete = (id) => {
    deleteTaPackageItem(id).then((res) => actionRef.current.reload());
  };
  const handOpen = () => {
    setCurd("new");
    setOpen(true);
  };
  const onEdit = (record) => {
    setCurd(record);
    setOpen(true);
  };
  useImperativeHandle(
    actionRef,
    () => ({
      reload: () => actionRef?.current?.reload(),
    }),
    []
  );

//   const beforeSearchSubmit = (params) => {
//     setParams(params);
//   };
//   const [params, setParams] = useState();
  return (
    <>
      <PureList
        actionRef={actionRef}
        rowKey="packageItemId"
        onEdit={(record) => onEdit(record)}
        onDelete={(record) => handleDelete(record.packageItemId)}
        toolBarRender={() => {
          return [
            <Button key="1" type="primary" onClick={handOpen}>
              新增
            </Button>,
          ];
        }}
        params={{packageId:id}}
        request={getTaPackageId}
        columns={columns}
        // beforeSearchSubmit={setParams}
      />

      <ModalPackageItem
        curd={curd}
        open={open}
        setOpen={setOpen}
        ref={actionRef}
      />
    </>
  );
};
