import List from "@/components/Page/List";
import React from "react";
import { getTaPackage, deleteTaPackage } from "@/services/taPackage";
import { useNavigate } from "react-router-dom";
import { Button, Image } from "antd";
export default (props) => {
    const navigate = useNavigate();
  const columns = [
    {
      title: "套餐名称",
      dataIndex: "packageName",
    },

    {
      title: "套餐类型",
      dataIndex: "packageType",
    },


    {
      title: "图片",
      dataIndex: "thumb",
      search: false,
      valueType:"image"
    
    },
    {
      title: "价格",
      dataIndex: "charge",
      search: false,
    },
    {
      title: "是否限制型消费",
      dataIndex: "limitType",
      search: false,
      render: (t) => (t == 0 ? "否" : "是"),
    },
    {
      title: "限制数目",
      dataIndex: "limitNum",
      search: false,
    },

    {
      title: "限制单位",
      dataIndex: "limitUnit",
      search: false,
    },

    {
      title: "状态",
      dataIndex: "status",
      render:(_,row)=>row.status==0?"下架":"上架" ,
      valueEnum: {
        0: "下架",
        1: "上架",
      },
    },

    {
      title: "说明",
      dataIndex: "desc",
      search: false,
    },
  ];
  const handleDelete = (id) => {
    deleteTaPackage(id).then(() => {});
  };
  return (
    <List
      // actionRef={actionRef}
      rowKey="packageId"
      request={getTaPackage}
      onEdit={(record) => navigate(`/package/edit?id=${record.packageId}`)}
      onDelete={(record) => handleDelete(record.packageId)}
      toolBarRender={() => [
        <Button
          key="1"
          type="primary"
          onClick={() => {
            navigate("/package/edit");
          }}
        >
          新增
        </Button>,
      ]}
      columns={columns}
    />
  );
};
