import React, { useState, useEffect } from 'react'
import Page from '@/components/Page'
import { useNavigate, useSearchParams } from 'react-router-dom'
import ProjectMessage from './components/ProjectMessage'
import ProjectDeploy from './components/ProjectDeploy'
import { Card } from 'antd'

export default (props) => {
  const [activeTabKey, setActiveTabKey] = useState('tab1')
  const navigate = useNavigate()

  const [params] = useSearchParams()
  const tab = params.get('tab')

  useEffect(() => {
    if (tab) {
      setActiveTabKey(tab)
    }
  }, [tab])

  const tabList = [
    {
      key: 'tab1',
      tab: '项目信息',
    },
    {
      key: 'tab2',
      tab: '部署信息',
    },
  ]

  const contentList = {
    tab1: <ProjectMessage />,
    tab2: <ProjectDeploy />,
  }

  return (
    <Page>
      <Card
        style={{ backgroundColor: '#F0F2F5' }}
        tabList={tabList}
        activeTabKey={activeTabKey}
        onTabChange={(key) => navigate(`?tab=${key}`)}
      >
        {contentList[activeTabKey]}
      </Card>
    </Page>
  )
}
