import React, { useState } from 'react'
import { Button, Card, Form, Input, Select, Row, Col, Descriptions } from 'antd'
import {
  ProForm,
  ProFormDateTimeRangePicker,
  ProFormMoney,
  ProFormSelect,
  ProFormText,
  ProFormRadio,
} from '@ant-design/pro-components'
import Page from '@/components/Page'
import { postTaCustom, putTaCustom, getTaCustomId } from '@/services/taCustom'
const { Option } = Select

export default (props) => {
  const { customId } = props
  const [list, setList] = useState()

  React.useEffect(() => {
    if (customId) {
      getTaCustomId(customId).then((res) => {
        setList(res)
      })
    }
  }, [customId])

  return (
    <Card title={<div style={{ fontWeight: 'bold' }}>客户基本信息</div>}>
      <Descriptions bordered={true} column={1}>
        <Descriptions.Item label="客户名">{list?.customName}</Descriptions.Item>
        <Descriptions.Item label="客户税号">
          {list?.isOrg == 1 ? list?.dutyParagraph : ''}
        </Descriptions.Item>
        <Descriptions.Item label="开户行">
          {list?.openingBank}
        </Descriptions.Item>
        <Descriptions.Item label="客户账号">{list?.account}</Descriptions.Item>
        <Descriptions.Item label="联系人姓名">
          {list?.contactsName}
        </Descriptions.Item>
        <Descriptions.Item label="联系人头衔">
          {list?.contactsTitle}
        </Descriptions.Item>
        <Descriptions.Item label="联系人手机">
          {list?.contactsPhone}
        </Descriptions.Item>
        <Descriptions.Item label="联系人邮箱">
          {list?.contactsEmail}
        </Descriptions.Item>
        <Descriptions.Item label="是否企业">
          {customId && (list?.isOrg == 1 ? '是' : '否')}
        </Descriptions.Item>
      </Descriptions>
    </Card>
  )
}
