import React, { useEffect, useRef, useState } from 'react'
import { ProTable } from '@ant-design/pro-components'
import { queryTable } from '@/utils/request'
import { Button, Input } from 'antd'
import { getTaProjectDeploy } from '@/services/taProjectDeploy'
import { useNavigate, useSearchParams } from 'react-router-dom'

const projectDeployList = queryTable(getTaProjectDeploy)

export default (props) => {
  const actionRef = useRef()
  const navigate = useNavigate()

  const columns = [
    {
      title: '服务名称',
      dataIndex: 'serviceName',
      ellipsis: true,
    },
    {
      title: '服务类型',
      dataIndex: 'serviceType',
      search: false,
      ellipsis: true,
    },
    {
      title: '服务商',
      dataIndex: 'isp',
      ellipsis: true,
    },
    {
      title: '主机IP',
      dataIndex: 'ip',
      search: false,
      ellipsis: true,
    },
    {
      title: '端口',
      dataIndex: 'port',
      search: false,
      ellipsis: true,
    },
    {
      title: '进程',
      dataIndex: 'process',
      search: false,
      ellipsis: true,
    },
    {
      title: '系统服务名称',
      dataIndex: 'sysServiceName',
      ellipsis: true,
    },
    {
      title: '访问地址',
      dataIndex: 'webUrl',
      search: false,
      ellipsis: true,
    },
    {
      title: 'OSS',
      dataIndex: 'ossBucket',
      search: false,
      ellipsis: true,
    },
    {
      title: '账户',
      dataIndex: 'account',
      search: false,
      ellipsis: true,
    },
    {
      title: '密码',
      dataIndex: 'password',
      render: (x) => {
        return (
          <Input.Password
            value={x?.props?.children}
            bordered={false}
            readOnly
          />
        )
      },
      search: false,
      ellipsis: true,
    },
    {
      title: '函数计算信息',
      dataIndex: 'serverlessInfo',
      search: false,
      ellipsis: true,
    },
    {
      title: '小程序服务商',
      dataIndex: 'miniappIsp',
      ellipsis: true,
    },
    {
      title: '小程序名称',
      dataIndex: 'miniappName',
      ellipsis: true,
    },
    // {
    //   title: '操作',
    //   valueType: 'option',
    //   key: 'option',
    //   ellipsis: true,
    //   fixed: 'right',
    //   render: (_, record) => [],
    // },
  ]

  const onAdd = () => {
    navigate('/projectDeploy/edit')
  }

  return (
    <div>
      <ProTable
        actionRef={actionRef}
        rowKey="serviceId"
        search={{
          labelWidth: 90,
        }}
        // scroll={{ x: 1300 }}
        // onEdit={(record) => navigate(`/member/edit?id=${record.memberId}`)}
        // onDelete={(record) => handleDelete(record.memberId)}
        toolBarRender={() => [
          <Button key="1" type="primary" onClick={onAdd}>
            新增
          </Button>,
        ]}
        request={projectDeployList}
        columns={columns}
      />
    </div>
  )
}
