import React, { useEffect, useRef, useState } from 'react'
import { postTaProjectDeploy } from '@/services/taProjectDeploy'
import { Button, Card, Row, Col } from 'antd'
import {
  ProForm,
  ProFormDateTimeRangePicker,
  ProFormMoney,
  ProFormSelect,
  ProFormText,
  ProFormTextArea,
  ProFormRadio,
} from '@ant-design/pro-components'
import Page from '@/components/Page'
import { formItemLayout, tailFormItemLayout } from '@/utils/form'
import { useNavigate, useSearchParams } from 'react-router-dom'
import moment from 'moment'

export default (props) => {
  const formRef = useRef()
  const navigate = useNavigate()

  const onFinish = (values) => {
    postTaProjectDeploy(values).then((res) => {
      navigate(`/project/edit?tab=tab2`)
    })
  }
  return (
    <Page>
      <Card>
        <ProForm
          formRef={formRef}
          onFinish={onFinish}
          layout="horizontal"
          grid={true}
          labelCol={{ md: 4 }}
          colProps={{ md: 12 }}
          submitter={{
            render: (_, doms) => [
              <Row>
                <Col offset={11}>
                  <Button type="primary" htmlType="submit">
                    提交
                  </Button>
                </Col>
                <Col offset={1}>
                  <Button onClick={() => navigate('/project/edit?tab=tab2')}>
                    返回
                  </Button>
                </Col>
              </Row>,
            ],
          }}
        >
          <ProFormText name="serviceName" label="服务名称" />
          <ProFormText name="ip" label="主机" />
          <ProFormText name="serviceType" label="服务类型" />
          <ProFormText name="port" label="端口" />
          <ProFormText name="isp" label="服务商" />
          <ProFormText name="process" label="进程" />
          <ProFormText name="sysServiceName" label="系统服务名" />
          <ProFormText name="webUrl" label="url" />
          <ProFormText name="serverlessInfo" label="函数计算信息" />
          <ProFormText name="ossBucket" label="OSS" />
          <ProFormText name="miniappIsp" label="小程序服务商" />
          <ProFormText name="account" label="账户" />
          <ProFormText name="miniappName" label="小程序名称" />
          <ProFormText name="password" label="密码" />
        </ProForm>
      </Card>
    </Page>
  )
}
