import React, { useEffect, useRef, useState } from 'react'
import { Form } from 'antd'
import { postTaProjectNode } from '@/services/taProjectNode'
import {
  ModalForm,
  ProFormText,
  ProFormDateTimePicker,
  ProFormTextArea,
} from '@ant-design/pro-components'

export default (props) => {
  const { open, onCancel, actionRef } = props
  const [form] = Form.useForm()

  const onFinish = (values) => {
    postTaProjectNode(values).then((res) => {
      onCancel()
      actionRef.current.reload()
    })
  }
  return (
    <ModalForm
      form={form}
      title="更进维护"
      open={open}
      grid={true}
      labelCol={{ sm: 3 }}
      layout="horizontal"
      onFinish={onFinish}
      modalProps={{
        destroyOnClose: true,
        onCancel: onCancel,
      }}
    >
      <ProFormText name="bizStatus" label="跟进状态" />
      <ProFormDateTimePicker name="bizDate" label="跟进时间" />
      <ProFormTextArea name="remark" label="备注" />
    </ModalForm>
  )
}
