import React, { useRef } from 'react'
import {
  getTaProjectContact,
  deleteTaProjectContact,
} from '@/services/taProjectContact'
import { Button } from 'antd'
import List from '@/components/Page/List'
import { useNavigate } from 'react-router-dom'
import moment from 'moment'
export default (props) => {
  const navigate = useNavigate()
  const actionRef = useRef()

  const columns = [
    // {
    //   title: "发生周期",
    //   dataIndex: "startTime1",
    //   search: {
    //     transform: (value) => {
    //       return {
    //         startTime: value[0],
    //         endTime: value[1],
    //       };
    //     },
    //   },

    //   hideInTable: true,
    // },

    {
      title: '联系人名称',
      dataIndex: 'personName',
      ellipsis: true,
    },
    {
      title: '性别',
      dataIndex: 'sex',
      search: false,
      render: (t) => (t == 1 ? '男' : t == 2 ? '女' : '未知'),
    },
    {
      title: '年龄',
      dataIndex: 'age',
      search: false,
    },
    {
      title: '生日',
      dataIndex: 'birthDay',
      // render: (t) => moment(t).format('YYYY-MM-DD'),
      valueType: 'date',
    },

    {
      title: '手机号',
      dataIndex: 'phone',
    },
    {
      title: '邮箱',
      dataIndex: 'email',
      ellipsis: true,
      search: false,
    },
    {
      title: '职位',
      dataIndex: 'position',
    },
    {
      title: '是否默认联系人',
      dataIndex: 'isDefault',
      search: false,
      render: (t) => (t == 1 ? '是' : '否'),
    },
  ]
  return (
    <List
      rowKey="personId"
      actionRef={actionRef}
      onEdit={(record) =>
        navigate(`/projectContact/edit?id=${record?.personId}`)
      }
      onDelete={(record) =>
        deleteTaProjectContact(record?.personId).then(() =>
          actionRef.current.reload()
        )
      }
      toolBarRender={() => [
        <Button
          key="1"
          type="primary"
          onClick={() => {
            navigate('/projectContact/edit')
          }}
        >
          新增
        </Button>,
      ]}
      request={getTaProjectContact}
      columns={columns}
    />
  )
}
