import React, { useRef } from "react";
import {
  getTaProjectDeploy,
  deleteTaProjectDeploy,
} from "@/services/taProjectDeploy";
import { Button } from "antd";
import List from "@/components/Page/List";
import { useNavigate } from "react-router-dom";
import moment from "moment";
export default (props) => {
  const navigate = useNavigate();
  const actionRef = useRef();

  const columns = [

    {
      title: "服务名称",
      dataIndex: "serviceName",
    },
    {
      title: "服务类型",
      dataIndex: "serviceType",
    },
    {
      title: "服务商",
      dataIndex: "isp",
    },
    {
      title: "IP",
      dataIndex: "iP",
      search: false,
    },
    {
      title: "端口",
      dataIndex: "port",
      search: false,
    },
    {
      title: "进程",
      dataIndex: "process",
      search: false,
    },
    {
      title: "系统服务名称",
      dataIndex: "sysServiceName",
      search: false,
    },
    {
      title: "访问地址",
      dataIndex: "webUrl",
      search: false,
    },

    {
      title: "OSS",
      dataIndex: "ossBucket",
      render: (t) => (t == 1 ? "是" : "否"),
    },
    {
      title: "账号",
      dataIndex: "account",
      search: false,
    },
    {
      title: "密码",
      dataIndex: "password",
      search: false,
    },
    {
      title: "函数计算信息",
      dataIndex: "serverlessInfo",
      search: false,
    },
    {
      title: "小程序服务商",
      dataIndex: "miniappIsp",
      search: false,
    },
    {
      title: "小程序服务商",
      dataIndex: "miniappName",
      search: false,
    },
  ];
  return (
    <List
      rowKey="serviceId"
      actionRef={actionRef}
      //   onEdit={(record) => navigate(`/project/edit?id=${record.serviceId}`)}
      onDelete={(record) =>
        deleteTaProjectDeploy(record.projectId).then(() =>
          actionRef.current.reload()
        )
      }
      //   toolBarRender={() => [
      //     <Button
      //       key="1"
      //       type="primary"
      //       onClick={() => {
      //         navigate("/project/edit");
      //       }}
      //     >
      //       新增
      //     </Button>,
      //   ]}
      request={getTaProjectDeploy}
      columns={columns}
    />
  );
};
