import React, { useRef } from "react";
import {
  getTaProjectNode,
  deleteTaProjectNode,
} from "@/services/taProjectNode";
import { Button } from "antd";
import List from "@/components/Page/List";
import { useNavigate } from "react-router-dom";
import moment from "moment";
export default (props) => {
  const navigate = useNavigate();
  const actionRef = useRef();

  const columns = [
    {
      title: "发生周期",
      dataIndex: "startTime1",
      search: {
        transform: (value) => {
          return {
            startTime: value[0],
            endTime: value[1],
          };
        },
      },

      hideInTable: true,
    },

    {
      title: "节点名称",
      dataIndex: "nodeNames",
      render: (_, record) => record.nodeName,
      search: {
        transform: (value) => ({ nodeName: value }),
      },
    },
    {
      title: "节点类型",
      dataIndex: "nodeType",
    },
    {
      title: "业务类型",
      dataIndex: "chargeType",
      render: (t) => (t == 1 ? "收" : "支"),
    },
    {
      title: "金额",
      dataIndex: "charge",
      search: false,
    },

    {
      title: "是否发票",
      dataIndex: "isInvote",
      render: (t) => (t == 1 ? "是" : "否"),
    },
    {
      title: "来源机构",
      dataIndex: "fromOrg",
    },
    {
      title: "目的机构",
      dataIndex: "toOrg",
    },
    {
      title: "发生日期",
      dataIndex: "bizDate",
      render: (t) => moment(t).format("YYYY-MM-DD"),
      search: false,
    },
    {
      title: "附件",
      dataIndex: "attach",
      search: false,
    },
    {
      title: "备注",
      dataIndex: "remark",
      search: false,
    },
  ];
  return (
    <List
      rowKey="nodeId"
      actionRef={actionRef}
      //   onEdit={(record) => navigate(`/project/edit?id=${record.nodeId}`)}
      onDelete={(record) =>
        deleteTaProjectNode(record.projectId).then(() =>
          actionRef.current.reload()
        )
      }
      //   toolBarRender={() => [
      //     <Button
      //       key="1"
      //       type="primary"
      //       onClick={() => {
      //         navigate("/project/edit");
      //       }}
      //     >
      //       新增
      //     </Button>,
      //   ]}
      request={getTaProjectNode}
      columns={columns}
    />
  );
};
